> For the complete documentation index, see [llms.txt](https://docs.xorosoft.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xorosoft.com/developers-api/asn-management/list-asns.md).

# List ASNs

Retrieves List of ASNs from the database.

Retrieve asn data from Xorosoft ERP using the supported query filters. Use this endpoint to synchronize reference or transaction data with external systems while respecting private app permissions.

```json
{"openapi":"3.0.3","info":{"title":"Xorosoft ERP Public API","version":"2026.07"},"tags":[{"name":"ASN Management","description":"Use ASN Management APIs to create, retrieve, receive, close, and process Advanced Shipment Notices. ASN APIs support inbound receiving, carton-based receiving, pre-cartonized shipments, purchase order receipts, return receipts, and warehouse preparation workflows. They help external systems notify Xorosoft ERP about incoming goods before they arrive."}],"servers":[{"url":"https://res.xorosoft.io","description":"Xorosoft ERP API server"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"scheme":"basic","type":"http"}}},"paths":{"/api/xerp/asn/getasn":{"get":{"parameters":[{"description":"A comma-separated list of asn ids","in":"query","name":"id","required":false,"schema":{"type":"number"}},{"description":"A comma-separated list of asn numbers.","in":"query","name":"asn_number","required":false,"schema":{"type":"string"}},{"description":"Restrict results to after the specified ID.","in":"query","name":"since_id","required":false,"schema":{"type":"string"}},{"description":"Show asns created at or after date (format: 2014-04-25T16:15:47-04:00).","in":"query","name":"created_at_min","required":false,"schema":{"type":"string"}},{"description":"Show asns created at or before date (format: 2014-04-25T16:15:47-04:00).","in":"query","name":"created_at_max","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of statuses. If no value is passed for this filter, then all Open asns will be retrieved.","in":"query","name":"status","required":false,"schema":{"type":"string"}},{"description":"There are two types of ASNs Vendor - These are the asns generated from the vendor POs and Return - These are the asns generated from credit memos for customer returns.Note: ASN type is indicated by ReturnAsnFlag in the response.","in":"query","name":"asn_type","required":false,"schema":{"type":"string"}},{"description":"The page number of results to retrieve. Default is 1.","in":"query","name":"page","required":false,"schema":{"type":"string"}},{"description":"Specifies whether to enable paging. Default is \"false\".","in":"query","name":"enable_paging","required":false,"schema":{"type":"string"}},{"description":"Filter ASNs by store.","in":"query","name":"store","required":false,"schema":{"type":"string"}},{"description":"Filter ASNs by purchase order number.","in":"query","name":"po_number","required":false,"schema":{"type":"string"}},{"description":"Filter ASNs by reference number.","in":"query","name":"ref_number","required":false,"schema":{"type":"string"}},{"description":"Filter ASNs by ASN reference number.","in":"query","name":"asn_ref_number","required":false,"schema":{"type":"string"}},{"description":"Filter ASNs by RMA number.","in":"query","name":"rma_number","required":false,"schema":{"type":"string"}},{"description":"Filter ASNs by invoice reference number.","in":"query","name":"invoice_ref","required":false,"schema":{"type":"string"}},{"name":"updated_at_min","in":"query","required":false,"description":"Filter records updated on or after this date.","schema":{"type":"string"}},{"name":"updated_at_max","in":"query","required":false,"description":"Filter records updated on or before this date.","schema":{"type":"string"}},{"name":"exclude_processed","in":"query","required":false,"description":"When true, excludes records already marked as processed.","schema":{"type":"boolean","default":false}}],"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"Data":{"items":{"properties":{"AsnDetailData":{"items":{"properties":{"AsnId":{"type":"number"},"CmId":{"type":"number"},"CmLineId":{"type":"number"},"CreateDttm":{"type":"string","nullable":true},"CreateSource":{"type":"string","nullable":true},"DefaultLocationId":{"type":"number"},"Id":{"type":"number"},"ItemDescription":{"type":"string"},"ItemId":{"type":"number"},"ItemNumber":{"type":"string"},"ItemReceiptDate":{"type":"string","nullable":true},"ItemTypeId":{"type":"number"},"ItemTypeName":{"type":"string","nullable":true},"ItemUpc":{"type":"string","nullable":true},"LabelCount":{"type":"number"},"LineStatusId":{"type":"number"},"LineStatusName":{"type":"string"},"MatchedFlag":{"type":"boolean"},"ModifyDttm":{"type":"string","nullable":true},"ModifySource":{"type":"string","nullable":true},"Note":{"type":"string","nullable":true},"PoId":{"type":"number"},"PoLineId":{"type":"number"},"PoNumber":{"type":"string"},"QtyDecimalFlag":{"type":"boolean"},"QtyReceived":{"type":"number"},"QtyRemaining":{"type":"number"},"QtyToReceive":{"type":"number"},"RefNumber":{"type":"string"},"StoreId":{"type":"number"},"StoreName":{"type":"string"},"Tags":{"type":"string","nullable":true}},"type":"object"},"type":"array"},"AsnDetailLocationData":{"items":{},"type":"array"},"AsnHeaderData":{"properties":{"AsnCloseDttm":{"type":"string","nullable":true},"AsnId":{"type":"number"},"AsnNumber":{"type":"string"},"CloseASN":{"type":"boolean"},"CreateDate":{"type":"string"},"CreateDttm":{"type":"string","nullable":true},"CreateSource":{"type":"string","nullable":true},"ItemReceiptDate":{"type":"string","nullable":true},"ModifyDttm":{"type":"string","nullable":true},"ModifySource":{"type":"string","nullable":true},"Note":{"type":"string","nullable":true},"PriorityId":{"type":"number"},"PriorityName":{"type":"string","nullable":true},"ReceiveAsNotAvailableFlag":{"type":"boolean"},"ReturnAsnFlag":{"type":"boolean"},"StatusId":{"type":"number"},"StatusName":{"type":"string"},"StoreId":{"type":"number"},"StoreName":{"type":"string"}},"type":"object"}},"type":"object"},"type":"array"},"IsForwardRequest":{"type":"boolean"},"Message":{"type":"string"},"MessageTitle":{"type":"string","nullable":true},"Result":{"type":"boolean"}},"type":"object"}}},"description":"OK","headers":{}}},"tags":["ASN Management"],"description":"Retrieves List of ASNs from the database.\n\nRetrieve asn data from Xorosoft ERP using the supported query filters. Use this endpoint to synchronize reference or transaction data with external systems while respecting private app permissions.","operationId":"get_asn_getasn","summary":"List ASNs"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xorosoft.com/developers-api/asn-management/list-asns.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
